隐藏侧边栏

npm配置cnpm和yarn以及淘宝源

 邱少羽梦
2022-06-26 / 0 评论 / 0 点赞 / 73 阅读 / 2,992 字 / 正在检测是否收录...
温馨提示:
本文最后更新于 2022-07-02,若内容或图片失效,请留言反馈。部分素材来自网络,若不小心影响到您的利益,请联系博主删除。

cnpm 的安装以及相关配置

cnpm 的安装

npm install -g cnpm --registry=https://registry.npm.taobao.org

npm 常用命令

查看 npm 的基本配置:npm config list
查看 npm 的所有配置:npm config list -l
npm 设置淘宝镜像:npm config set registry=https://registry.npm.taobao.org

yarn 的安装以及相关配置

yarn 的安装

npm install -g yarn

您可以配置淘宝镜像:yarn config set registry "https://registry.npm.taobao.org"

常用命令

创建项目:yarn init

安装依赖包:yarn == yarn install

添加依赖包:yarn add

配置淘宝镜像:yarn config set registry "https://registry.npm.taobao.org"

显示所有配置项: yarn config list

命令列表

命令操作参数标签
yarn add添加依赖包包名--dev/-D
yarn bin显示yarn安装目录
yarn cache显示缓存列出缓存包:ls,打出缓存目录路径:dir,清除缓存:clean
yarn check检查包
yarn clean清理不需要的依赖文件
yarn config配置设置:set <key> <value>, 删除:delete, 列出:list[-g | --global]
yarn generate-lock-entry生成锁定文件
yarn global全局安装依赖包yarn global <add/bin/list/remove/upgrade> [--prefix]--prefix 包路径前缀
yarn info显示依赖包的信息包名--json:json格式显示结果
yarn init互动式创建/更新package.json文件--yes/-y:以默认值生成package.json文件
yarn install安装所有依赖包 --flat:只安装一个版本;--force:强制重新下载安装;--har:输出安装时网络性能日志;--no-lockfile:不生成yarn.lock文件;--production:生产模式安装(不安装devDependencies中的依赖)
yarn licenses列出已安装依赖包的证书ls:证书列表;generate-disclaimer:生成免责声明
yarn link开发时链接依赖包,以便在其他项目中使用包名
yarn login保存你的用户名、邮箱
yarn logout删除你的用户名、邮箱
yarn list列出已安装依赖包 --depth=0:列表深度,从0开始
yarn outdated检查过时的依赖包包名
yarn owner管理拥有者ls/add/remove
yarn pack给包的依赖打包--filename
yarn publish将包发布到npm --tag:版本标签;--access:公开(public)还是限制的(restricted)
yarn remove卸载包,更新package.json和yarn.lock包名
yarn run运行package.json中预定义的脚本
yarn self-updateyarn自身更新--未实现
yarn tag显示包的标签add/rm/ls
yarn team管理团队create/destroy/add/rm/ls
yarn test测试 = yarn run test
yarn unlink取消链接依赖包
yarn upgrade升级依赖包
yarn version管理当前项目的版本号--new-version :直接记录版本号;--no-git-tag-version:不生成git标签
yarn why分析为什么需要安装依赖包包名/包目录/包目录中的文件名
安装yarn 
npm install -g yarn
安装成功后,查看版本号: 
yarn --version
创建文件夹 yarn 
md yarn
进入yarn文件夹 
cd yarn
初始化项目 
yarn init // 同npm init,执行输入信息后,会生成package.json文件
yarn的配置项: 
yarn config list // 显示所有配置项
yarn config get <key> //显示某配置项
yarn config delete <key> //删除某配置项
yarn config set <key> <value> [-g|--global] //设置配置项
安装包: 
yarn install //安装package.json里所有包,并将包及它的所有依赖项保存进yarn.lock
yarn install --flat //安装一个包的单一版本
yarn install --force //强制重新下载所有包
yarn install --production //只安装dependencies里的包
yarn install --no-lockfile //不读取或生成yarn.lock
yarn install --pure-lockfile //不生成yarn.lock
添加包(会更新package.json和yarn.lock):

yarn add [package] // 在当前的项目中添加一个依赖包,会自动更新到package.json和yarn.lock文件中
yarn add [package]@[version] // 安装指定版本,这里指的是主要版本,如果需要精确到小版本,使用-E参数
yarn add [package]@[tag] // 安装某个tag(比如beta,next或者latest)
//不指定依赖类型默认安装到dependencies里,你也可以指定依赖类型:

yarn add --dev/-D // 加到 devDependencies
yarn add --peer/-P // 加到 peerDependencies
yarn add --optional/-O // 加到 optionalDependencies
//默认安装包的主要版本里的最新版本,下面两个命令可以指定版本:

yarn add --exact/-E // 安装包的精确版本。例如yarn add foo@1.2.3会接受1.9.1版,但是yarn add foo@1.2.3 --exact只会接受1.2.3版
yarn add --tilde/-T // 安装包的次要版本里的最新版。例如yarn add foo@1.2.3 --tilde会接受1.2.9,但不接受1.3.0
发布包

yarn publish
移除一个包 
yarn remove <packageName>:移除一个包,会自动更新package.json和yarn.lock
更新一个依赖 
yarn upgrade 用于更新包到基于规范范围的最新版本
运行脚本 
yarn run 用来执行在 package.json 中 scripts 属性下定义的脚本
显示某个包的信息 
yarn info <packageName> 可以用来查看某个模块的最新版本信息
缓存 
yarn cache 
yarn cache list # 列出已缓存的每个包 
yarn cache dir # 返回 全局缓存位置 
yarn cache clean # 清除缓存
0

评论区